package com.yidian.common.base

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.viewbinding.ViewBinding

/**
 * Author: sym
 * Date: 2021/4/29 4:48 PM
 * Describe:
 */
abstract class BaseActivity<VB : ViewBinding> : AppCompatActivity() {
    lateinit var viewBind: VB

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        viewBind = createViewBinding()
        setContentView(viewBind.root)
    }

    abstract fun createViewBinding(): VB
}